aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2015-11-10 11:47:30 +0100
committerCarlo Landmeter <clandmeter@gmail.com>2015-11-10 11:47:37 +0100
commit8d841bb7eff700737ad7044df9ae9c62ddfd8c1b (patch)
treea6ede545df04f8c4dc6e7d9fac23e9ec444d38e6
parentaf9ce1eecde08d11d6c6c335f434da308d3270ef (diff)
downloadaports-8d841bb7eff700737ad7044df9ae9c62ddfd8c1b.tar.gz
aports-8d841bb7eff700737ad7044df9ae9c62ddfd8c1b.tar.bz2
aports-8d841bb7eff700737ad7044df9ae9c62ddfd8c1b.tar.xz
main/unionfs-fuse: upgrade to 1.0
-rw-r--r--main/unionfs-fuse/0001-include-asm-ioctl.h-for-_IOC_SIZE.patch24
-rw-r--r--main/unionfs-fuse/APKBUILD26
2 files changed, 42 insertions, 8 deletions
diff --git a/main/unionfs-fuse/0001-include-asm-ioctl.h-for-_IOC_SIZE.patch b/main/unionfs-fuse/0001-include-asm-ioctl.h-for-_IOC_SIZE.patch
new file mode 100644
index 0000000000..3ad15190a7
--- /dev/null
+++ b/main/unionfs-fuse/0001-include-asm-ioctl.h-for-_IOC_SIZE.patch
@@ -0,0 +1,24 @@
+From f64b094eba93b042a1ed5964db01867bc5610906 Mon Sep 17 00:00:00 2001
+From: Carlo Landmeter <clandmeter@gmail.com>
+Date: Tue, 10 Nov 2015 11:39:40 +0100
+Subject: [PATCH] include asm/ioctl.h for _IOC_SIZE
+
+---
+ src/unionfs.c | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/src/unionfs.c b/src/unionfs.c
+index 69b45e5..c4e8dac 100644
+--- a/src/unionfs.c
++++ b/src/unionfs.c
+@@ -32,6 +32,7 @@
+ #include <sys/types.h>
+ #include <sys/time.h>
+ #include <inttypes.h>
++#include <asm/ioctl.h>
+
+ #ifdef linux
+ #include <sys/vfs.h>
+--
+2.6.3
+
diff --git a/main/unionfs-fuse/APKBUILD b/main/unionfs-fuse/APKBUILD
index f6e15d4c1a..a4accd46df 100644
--- a/main/unionfs-fuse/APKBUILD
+++ b/main/unionfs-fuse/APKBUILD
@@ -1,19 +1,26 @@
# Maintainer: Michael Zhou <zhoumichaely@gmail.com>
pkgname=unionfs-fuse
-pkgver=0.26
-pkgrel=1
+pkgver=1.0
+pkgrel=0
pkgdesc="Union Filesystem in Userspace"
url="http://podgorny.cz/moin/UnionFsFuse"
arch="all"
license="BSD"
depends=""
-makedepends="fuse-dev"
+makedepends="fuse-dev linux-headers"
subpackages="$pkgname-doc"
-source="source="$pkgname-$pkgver.tar.gz::https://github.com/rpodgorny/unionfs-fuse/archive/v${pkgver}.tar.gz""
+source="$pkgname-$pkgver.tar.gz::https://github.com/rpodgorny/unionfs-fuse/archive/v${pkgver}.tar.gz
+ 0001-include-asm-ioctl.h-for-_IOC_SIZE.patch"
_builddir="${srcdir}"/$pkgname-$pkgver
+
prepare() {
- cd "$_builddir"
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
}
build() {
@@ -27,6 +34,9 @@ package() {
make DESTDIR="$pkgdir" PREFIX=/usr install || return 1
}
-md5sums="1f19ab05f400fb25cfa0a91681431381 source=unionfs-fuse-0.26.tar.gz"
-sha256sums="82226c370e861997037a39fe61d4d7e07005ca5bf0029881d050da9d27c3d450 source=unionfs-fuse-0.26.tar.gz"
-sha512sums="ac4c89e8bbcbecabae8706aafc49bd3172d3058b25a857271325568e75d87d54d69e76ca3f49b4b6ca08f5414db35c0df64b95b0e7a7b3b1d27c507fca96f729 source=unionfs-fuse-0.26.tar.gz"
+md5sums="598590fb452129c413572ed79824c68a unionfs-fuse-1.0.tar.gz
+437f961b03f7f6936448586b9ff8b7de 0001-include-asm-ioctl.h-for-_IOC_SIZE.patch"
+sha256sums="2ee80bd0634a61adb2159212e155d607a0a82ad659214ae6edb3530396cccc09 unionfs-fuse-1.0.tar.gz
+c8526f80448f344fba0100e5510793b6de985b24a8b526d9a6803bcd713d9de2 0001-include-asm-ioctl.h-for-_IOC_SIZE.patch"
+sha512sums="805151acaeae8526fba430701a1690f6eb0ad8331a9e730095ee538dc2b148d02fe996a63e8a7f6471d1ef622cc5c03d82bd2b2faad1ebe3b614ec343c2f55de unionfs-fuse-1.0.tar.gz
+fa8d87a33c6971fff13545766c803cbe6960db068edd6e1f6479d76e17f60fce1b6e67a6045878a2f2cffbe9aa3064522f2e88e395d7713627ea12f24a02e346 0001-include-asm-ioctl.h-for-_IOC_SIZE.patch"